.main-button[disabled] {
  pointer-events: none;
}
.main-button.mask {
  background: transparent;
  left: 10px;
  max-width: calc(100% - 20px);
  position: absolute;
  top: 10px;
  z-index: -1;
}
.basket-total .main-button.mask {
  top: auto;
  bottom: 15px;
  left: 20px;
  width: calc(100% - 40px);
  z-index: 1;
}
.basket-total .main-button.mask:hover {
  background-color: transparent;
}
.manager-stock-block {
  max-height: 340px;
  overflow-y: auto;
  margin-top: 20px;
}

.manager-stock{
  width: 100%;
}
.manager-stock td,
.manager-stock th{
  text-align: center;
  border: 1px solid #ccc;
  padding: 3px;
  margin-top: 10px;
}
.stock-manager{
  cursor:pointer;
}
.basket-list .stock-manager{
  margin-left: 13px;
  font-size: 14px;
}
.basket-list .stock-manager:hover{
  color: #B12535 !important;
}
.basket-list__item .card-component__price{
  flex-wrap: wrap;
  gap: 5px 0;
}
.basket .basket-info__title {
  background: transparent;
  margin: -21px -32px 11px -75px;
  padding: 20px 31px 12px 71px;
}

.basket .basket-info__title.title-status-green {
  background: transparent;
  color: #000;
}

.basket .basket-info__title.title-status-warning {
  background-color: #f9dfce;
  color: #ce8a5e;
  padding: 12px 31px 12px 71px;
}


.basket .basket-info__title.title-status-info {
  background: transparent;
}

.basket .basket-info__title.title-status-info.title-status-warning {
  background: #f9dfce;
}

.basket .basket-info__bottom-title {
  background: #E5EAEC;
  margin: 11px -32px -31px -32px;
  padding: 10px 31px 10px 75px;
}

.basket .basket-info__row {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
}

section.basket-info.basket-total, section.basket-column.basket-second.basket-address {
  display: block;
}

.basket-ph {
  display: block;
  margin-top: 20px;
  pointer-events: none;
}

.basket-address .basket-address__content {
  width: 100%;
  max-width: 768px;
  height: fit-content;
  padding: 30px;
  background-color: #fff;
  -webkit-box-shadow: 0 0 20px 0 rgb(0 0 0 / 12%);
  box-shadow: 0 0 20px 0 rgb(0 0 0 / 12%);
  border: 1px solid #E5EAEC;
  -webkit-transition: 0.2s ease-in-out;
  transition: 0.2s ease-in-out;
  pointer-events: none;
  border-radius: 5px;
}

.basket-address .basket-address__title {
  font-style: normal;
  font-weight: 500;
  font-size: 24px;
  line-height: 18px;
  text-align: center;
  color: #000000;
  margin-bottom: 30px;
}

.basket-address .basket-address__content form {
  border: 1px solid #E5EAEC;
  padding: 30px;
}

.basket-address .basket-address__group label > span {
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 18px;
  color: #000000;
  position: absolute;
  top: -12px;
  left: 8px;
  background: #fff;
  padding: 2px 8px;
  z-index: 2;
}

.basket-address .basket-address__group label {
  position: relative;
  display: block;
  flex-grow: 1;
  flex-basis: calc(50% - 20px);
  margin-bottom: 30px;
  margin-right: 20px;
}

.basket-address .basket-address__group label span span.star {
  color: #B62637;
  position: absolute;
  margin-left: 2px;
}

.basket-address .basket-address__group {
  display: flex;
  flex-wrap: wrap;
}

.basket-address .basket-address__group-checkbox {
  display: flex;
  margin: 0;
  padding: 0 0 0 44px;
  margin-bottom: 20px;
}

.basket-address .basket-address__group input,
.basket-address .basket-address__group textarea {
  border: 1px solid #E5EAEC;
  box-sizing: border-box;
  padding: 10px 15px;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 18px;
  color: #000000;
  width: 100%;
  pointer-events: initial;
}

.basket-address .basket-address__group input[readonly] {
  color: #bbb;
}

.basket-address .basket-address__group textarea {
  min-height: 40px;
  max-height: 280px;
  resize: vertical;
}

.basket-address .main-button {
  pointer-events: initial;
}

.basket-address section.basket-address, section.basket-address * {
  box-sizing: border-box;
}

.basket-address .basket-address__group label:nth-child(2n),
.basket-address .basket-address__group label:last-child {
  margin-right: 0;
}

.basket-address .basket-address__list-item {
  pointer-events: initial;
}

.basket-address .basket-address__list.selected,
.basket-address .basket-address__list.selected * {
  pointer-events: none!important;
}

.basket-address .basket-address__list-item input[type="radio"] {
  opacity: 0;
  pointer-events: none;
  position: absolute;
  visibility: hidden;
}

.basket-address__warning {
  background-color: #F9DFCE;
  border-radius: 4px;
  display: block;
  width: 100%;
  color: #CE8A5E;
  padding: 9px 11px 9px 35px;
  margin-bottom: 30px;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 18px;
  position: relative;
}

.basket-unavailable__warning {
  margin-top: 20px;
  border: 1px solid #B12435;
  border-radius: 5px;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  text-align: center;
  padding: 10px;
  line-height: 22px;
}
.basket-address__warning:after {
  content: "";
  width: 14px;
  height: 14px;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url(../../../../img/icon-warning.svg);
  position: absolute;
  top: 50%;
  left: 11px;
  transform: translateY(-50%);
}

.basket-address__warning.warning-info {
  background-color: #ebebf7;
  color: #B12535;
}

.basket-address__warning.warning-info:after {
  background-image: url(../../../../img/icon-info.svg);
}

.basket-dateime-info .basket-address__warning.warning-info {
  background-color: transparent;
  margin-bottom: 0;
}

.basket-dateime-info .basket-address__warning {
  padding: 9px 11px 9px 39px;
}

.basket-dateime-info .basket-address__warning.warning-info:after {
  width: 20px;
  height: 20px;
  left: 0;
}

.basket-address .basket-address__group label.basket-address__withDaData {
  display: none;
}

.basket-address.basket-address__dadata .basket-address__group label.basket-address__withDaData  {
  display: block;
}

.basket-address .basket-address__group .basket-address__important input,
.basket-address .basket-address__group .basket-address__important textarea {
  border-color: #B12535;
}

.basket-delivery__body .basket-address__warning {
  border-radius: 0;
  margin: 20px -21px -21px -21px;
  width: calc(100% + 42px);
  padding: 15px 10px 15px 60px;
}

.basket-delivery__body .basket-address__warning:after {
  width: 20px;
  height: 18px;
  left: 22px;
}

.basket-address .basket-address-info .basket-address__warning:not(.hide) + .basket-address__warning {
  margin-top: 13px;
  border-top: 1px solid #e4c5b1;
}

.basket-address__warning.hide {
  display: none;
}

.basket-address__warning.warning-green {
  background-color: #ACEECB;
  color: #309080;
}

.basket-address__warning.warning-green:after {
  background-image: url(../../../../img/icon-success.svg);
}

.basket-info .basket-address__warning {
  margin: 30px -30px -30px;
  width: calc(100% + 60px);
  padding: 15px 11px 15px 35px;
  border-radius: 0;
}

.basket-address .basket-address__list {
  border: 1px solid #E5EAEC;
  border-bottom-width: 0;
  padding: 0;
  margin-bottom: 50px;
  max-height: calc(100vh - 190px);
  overflow-y: auto;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  position: relative;
}
.basket-address__list-preloader {
  width: 100%;
  height: calc(100% - 1px);
  position: absolute;
  background: #fffd;
  z-index: 10;
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 1;
  cursor: progress;
  transition: 0.15s ease-in-out;
  overflow: hidden;
}

.basket-address__list-preloader.hide {
  pointer-events: none;
  opacity: 0;
}

@media (max-width: 576px) {
  .basket-address .basket-address__list {
    margin-bottom: 20px;
    overflow-y: scroll;
  }
  .basket-address .basket-address__group-checkbox .basket-address__label .checkbox {
    margin-top: 5px;
  }
}
.basket-address .basket-address__list.locked * {
  pointer-events: none;
}

.basket-address .basket-address__list-item {
  border-bottom: 1px solid #E5EAEC;
  display: flex;
  padding: 20px 31px;
  margin: 0;
  position: relative;
  flex-wrap: wrap;
  flex-direction: column;
  width: calc(100% - 48px);
}

.basket-address .basket-address__list-item:last-child {
  border-bottom: 0;
}

.basket-address .basket-address__list-item:hover,
.basket-address .basket-address__list-item.waiting-btn {
  background: #B12535;
  transition: 0.25s ease-in-out;
  color: #fff;
  cursor: pointer;
}

.basket-address .basket-address__list-item:hover .basket-address__list-item-icon,
.basket-address .basket-address__list-item.waiting-btn .basket-address__list-item-icon {
  filter: grayscale(1) brightness(0) invert(1);
  transition: 0.25s ease-in-out;
}

.basket-address .basket-address__list-item:hover span,
.basket-address .basket-address__list-item:hover p,
.basket-address .basket-address__list-item.waiting-btn span,
.basket-address .basket-address__list-item.waiting-btn p {
  color: #fff;
}

.basket-address .basket-address__list-item span {
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 18px;
  display: flex;
  align-items: center;
  color: #6D6D6D;
  width: 80%;
}

.basket-address .basket-address__list-item p {
  font-style: normal;
  font-weight: normal;
  font-size: 18px;
  line-height: 18px;
  display: flex;
  align-items: center;
  color: #000000;
  width: 90%;
  flex-grow: 1;
  margin: 0;
}

.basket-address .basket-address__list-item .basket-address__list-item-icon {
  width: 22px;
  height: 18px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: 50% 50%;
  position: absolute;
  right: 31px;
  top: 50%;
  transform: translateY(-50%);
}

.basket-address .basket-address__list-item .basket-address__list-item-icon.list-item-icon-good {
  background-image: url(../../../../img/icon-success.svg)
}

.basket-address .basket-address__list-item .basket-address__list-item-icon.list-item-icon-warning {
  background-image: url(../../../../img/icon-warning.svg)
}

.basket-address .basket-address-info {
  border: 1px solid #E5EAEC;
  border-radius: 5px;
  padding: 21px 31px 21px 73px;
  position: relative;
  display: flex;
  flex-direction: column;
}

.basket-address .basket-address-info *:last-child:not(.preloader-item-6):not(.basket-address__warning) {
  margin-bottom: 0;
}

.basket-address .basket-address-info .basket-address__warning {
  border-radius: 0;
  margin: 11px -75px -14px;
  width: calc(100% + 107px);
  padding: 13px 11px 13px 72px;
}

.basket-address .basket-address-info .basket-address__warning:after {
  width: 20px;
  height: 20px;
  left: 32px;
  background-size: contain;
}

.basket-address__list-item-delete {
  background: #fff;
  color: #B12535;
  width: 48px;
  height: auto;
  position: relative;
  right: 0;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  border-color: #f0f0f4;
  border-style: solid;
  border-width: 0px;
  border-bottom-width: 1px;
  cursor: pointer;
  transition: 0.25s;
}

.basket-address__list-item-delete:hover {
  background: #B12535;
  color: #fff;
}

.basket-address__list-item-delete:after {
  content: "";
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 16px;
  font-weight: 500;
  background-image: url(../../../../img/icon-recycle-bin.svg);
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: auto;
  width: 24px;
  height: 24px;
  transition: 0.1s;
  filter: grayscale(1) brightness(2.5);
}

.basket-address__list-item-delete:hover:after {
  filter: brightness(0) invert(1);
}

.basket-address .basket-address-info__type {
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 21px;
  color: #000000;
  margin-bottom: 0;
  position: relative;
  margin-left: 0;
  padding-right: 20px;
}

.basket .basket-address a.basket-address-info__type {
  border-bottom: 1px dashed;
  text-decoration: none;
  font-size: 16px;
  padding-right: 0;
}

.basket-address .basket-address-info__type:before {
  content: "";
  background-image: url(../../../../img/icon-info.svg);
  background-repeat: no-repeat;
  background-size: contain;
  width: 20px;
  height: 20px;
  position: absolute;
  top: 50%;
  left: -39px;
  transform: translateY(-50%);
  display: none;
}

.basket-address .basket-info__title.title-status-green .basket-address-info__type {
  color: #000;
}

.basket-address .basket-info__title.title-status-warning .basket-address-info__type {
  color: #ce8a5e;
}


.basket-address .basket-info__title.title-status-green .basket-address-info__type:before {
  opacity: 0;
}

.basket-address .basket-info__title.title-status-warning .basket-address-info__type:before {
  background-image: url(../../../../img/icon-warning.svg);
  display: block;
  opacity: 1;
}

.basket-address .basket-info__tooltip {
  position: absolute;
  left: 33px;
  bottom: 100%;
  background: white;
  white-space: nowrap;
  transform: translateX(-50%);
  min-width: 230px;
  width: fit-content;
  padding: 6px 11px;
  text-align: center;
  border-radius: 5px;
  border: 1px solid #C4C4C4;
  color: #000;
  font-size: 12px;
  font-weight: 400;
  text-transform: uppercase;
  filter: drop-shadow(0px 5px 10px rgba(0, 0, 0, 0.12));
  opacity: 0;
  transition: .5s;
  pointer-events: none;
}

.basket-address .basket-info__tooltip-zone {
  background: transparent;
  width: 60px;
  height: 44px;
  position: absolute;
  top: 0;
  left: 10px;
  z-index: 1;
}

.basket-address .basket-info__tooltip.active,
.basket-address .basket-info__tooltip-zone:hover + .basket-info__tooltip {
  opacity: 1;
}

.basket-address .basket-info__tooltip:after {
  content: "";
  position: absolute;
  bottom: -7px;
  left: 50%;
  background: #fff;
  border-width: 1px;
  border-style: solid;
  border-color: #C4C4C4;
  border-bottom-color: transparent;
  border-right-color: transparent;
  width: 14px;
  height: 14px;
  transform: rotate(225deg);
}

.basket .basket-address .basket-address-link-last {
  justify-self: flex-end;
  margin-left: auto;
  margin-right: 0;
  border-bottom: 1px dashed;
  font-size: 14px;
  transition: 0.25s;
}

.basket .basket-address .basket-info__title .basket-address-link-last {
  margin-right: -1px;
}

.basket .basket-address .basket-info__title .basket-info__row .basket-address-link-last {
  margin-bottom: auto;
}

.basket-address .basket-address-link-last:hover {
  border-bottom-color: transparent;
  text-decoration: none;
}

.basket-address-info__date {
  color: #B12535;
  position: relative;
  top: 3px;
}

.basket-address-info__group .only-mobile {
  display: none;
}

.basket-address .basket-address-info__sub {
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 18px;
  color: #C4C4C4;
  margin-bottom: 4px;
}

.basket-address .basket-address-info__address {
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  color: #6D6D6D;
}

.basket-address .basket-address-info a {
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 18px;
  color: #B12535;
  align-self: center;
  margin-right: auto;
}

.basket-address .basket-address-info .basket-info__title.title-status-green a {
  color: #B12535;
}

.basket-address .basket-address-info .basket-info__title.title-status-warning a {
  color: #ce8a5e;
}

.basket-address-info__column p {
  margin-bottom: 0;
}

a[data-action="deleteRecipient"] {
  margin-top: 8px;
}

.basket-address .basket-address__group .basket-info__preloader {
  height: calc(100% - 2px);
  width: calc(100% - 1px);
  max-width: 120px;
  margin: 1px;
  right: 0;
  left: auto;
}

.basket-address .basket-address__group .basket-info__preloader .preloader-container {
  width: fit-content;
  margin-left: auto;
}

.basket-address .basket-address__group .basket-info__preloader .preloader-container > div {
  width: 10px;
  height: 10px;
  margin: 2px;
}

.basket-address .basket-address__group .basket-info__preloader .preloader-container > div:before {
  width: 10px;
  height: 10px;
  animation: scaleSmall 2s infinite cubic-bezier(0, 0, 0.49, 1.02);
}

.basket-address .basket-address__group .basket-info__preloader .preloader-container .preloader-item-3,
.basket-address .basket-address__group .basket-info__preloader .preloader-container .preloader-item-5 {
  display: none;
}

.basket-address .basket-address__group .basket-info__preloader .preloader-container .preloader-item-1:before {
  animation-delay: 300ms;
}
.basket-address .basket-address__group .basket-info__preloader .preloader-container .preloader-item-2:before {
  animation-delay: 600ms;
}
.basket-address .basket-address__group .basket-info__preloader .preloader-container .preloader-item-4:before {
  animation-delay: 900ms;
}
.basket-address .basket-address__group .basket-info__preloader .preloader-container .preloader-item-6:before {
  animation-delay: 1200ms;
}

.popup__content .basket-address__expander-title {
  display: none;
}

.popup__content li.basket-address__expander-item {
  list-style: none;
}

.popup__content li.basket-address__expander-item a {
  display: flex;
  justify-content: center;
  color: #309080;
  font-size: 16px;
  padding: 14px 8px;
}

.popup__content li.basket-address__expander-item a p:first-child {
  margin-right: 10px;
  min-width: 70px;
  text-align: right;
  margin-left: -10px;
}

.popup__content li.basket-address__expander-item a p {
  margin-bottom: 0;
}

.popup__content li.basket-address__expander-item.expander-item__expired a {
  color: #ddd!important;
  pointer-events: none!important;
}

.popup__content li.basket-address__expander-item.expander-item__later a {
  color: #000;
}

@keyframes scaleSmall {
  0% {
    transform: scale(1);
  }

  50%, 75% {
    transform: scale(3.5);
  }

  78%, 100% {
    opacity: 0;
  }
}

.buttons-group {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.buttons-group a, .buttons-group button {
  margin: 0!important;
  margin-right: 20px!important;
  max-width: calc(50% - 10px);
}

.buttons-group a:last-child, .buttons-group button:last-child {
  margin-right: 0!important;
}

#saveRecipient .main-button {
  margin-bottom: 0;
}

.price__max-discount-wrapper {
  position: relative;
  display: flex;
  align-items: center;
  gap: 10px;
  margin-left: 15px;
}

.price__max-discount-wrapper .tooltip {
  left: 100%;
  padding: 17px 15px;
  white-space: nowrap;
  font-weight: 400;
  font-size: 14px;
  line-height: 18px;
  color: #000;
  text-transform: unset;
}
.price__max-discount-wrapper .tooltip-node:hover .tooltip {
  top: -67px;
}
.price__max-discount {
  font-weight: 500;
  font-size: 18px;
  line-height: 22px;
  text-align: center;
  color: #B12535;
}
.price__max-discount-wrapper .tooltip-node > img {
  width: 24px;
  height: 24px;
}
.price__best {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 5px 10px;
}
.price__best-tag {
  font-weight: 500;
  font-size: 18px;
  line-height: 22px;
  text-align: center;
  text-transform: uppercase;
  color: #B12535;
  white-space: nowrap
}
.price__sticker {
  display: flex;
  align-items:center;
  padding: 5px 10px;
  background: #B12535;
  border-radius: 5px;
  white-space: nowrap
}
.card-component--discount .price__sticker .price__main {
  opacity: 0.5;
}

.price__sticker .price__main ,
.price__sticker .price__discount {
  color: #fff;
}

.basket-manager-callback-handler{
  color: #B12535;
  text-align: justify;
  font-size: 12px;
}

@media (max-width: 1400px) {
  .price__max-discount-wrapper .tooltip {
    left: 0;
  }
}
@media (max-width: 1200px) {
  .price__max-discount-wrapper .tooltip {
    white-space: initial;
  }
  .price__max-discount-wrapper .tooltip-node:hover .tooltip {
    top: -117px
  }
}
@media (max-width: 1024px) {
  .price__max-discount-wrapper .tooltip {
    display: block;
  }
}
@media (max-width: 970px) {
  .price__max-discount-wrapper {
    margin-left: 13px;
    align-items: baseline;
    gap: 5px;
  }
  .price__max-discount-wrapper .tooltip-node:hover .tooltip {
    top: -107px;
  }
  .price__max-discount {
    font-size: 14px;
  }
  .price__max-discount-wrapper .tooltip-node > img {
    width: 16px;
    height: 16px;
  }
  .price__best-tag {
    font-size: 13px;
    line-height: 16px;
  }
  .price__sticker {
    padding: 3px 6px;
    line-height: 22px;
  }
}
@media (max-width: 576px) {
  .buttons-group a, .buttons-group button {
    margin: 0!important;
    margin-right: 0px!important;
    margin-bottom: 20px!important;
    max-width: 100%;
  }
  .basket-address-info__group .basket-address-link-last.only-desktop {
    display: none;
  }
  .basket-address-info__group .basket-address-link-last.only-mobile {
    display: flex;
  }
  .basket-address .basket-address-info {
    padding: 30px 30px 13px 62px;
  }
  section.basket-column.basket-second:not(.basket-address) > .basket-info .basket-info__fields,
  section.basket-column.basket-second:not(.basket-address) > .basket-info .basket-info__badges,
  section.basket-column.basket-second:not(.basket-address) > .basket-info .basket-info__personal,
  section.basket-column.basket-second:not(.basket-address) > .basket-info .promocodes__container,
  section.basket-column.basket-second:not(.basket-address) > .basket-info .basket-info__total_sum {
    padding-left: 32px;
  }
  .basket-address-info__time {
    flex-wrap: wrap;
  }
  .basket-address ul.basket-address__expander {
    box-shadow: none;
    border-color: white;
    border-radius: 0;
    left: 0;
    right: 0;
    top: 64px;
    bottom: 90px;
    padding: 12px;
    position: fixed;
    z-index: 999;
    overflow-x: hidden;
    overflow-y: auto;
  }
  a.basket-address-link {
    padding: 12px 12px 12px 0;
  }
  .basket-address .basket-address-link-last {
    padding: 0;
  }
  .basket-address ul.basket-address__expander li {
    margin-bottom: 0;
  }
  .basket-address ul.basket-address__expander li a {
    padding: 10px 4px;
  }
  .basket-address ul.basket-address__expander li.basket-address__expander-title {
    margin-bottom: 10px;
  }
  .basket-address-info__date > p,
  .basket-address-info__date > span {
    margin-top: auto;
    margin-bottom: auto;
  }
  .basket-address .basket-info__tooltip {
    left: calc(0% + 120px);
    margin-bottom: 3px;
  }
  .basket-address .basket-info__tooltip:after {
    left: 19px;
  }
  .price__max-discount-wrapper .tooltip-node > img {
    width: 14px;
    height: 14px;
  }
  .price__best {
    flex-direction: row-reverse;
    justify-content: flex-end;
  }
  .price.card-component__price {
    align-items: baseline
  }
  .basket-unavailable__warning {
    font-size: 12px;
    line-height: 18px;
  }
}